function y=logistic(N,r,x0)
%LOGISTIC  x[n]=4*r*x[n-1]*(1-x[n-1])
%y=logistic(N, r, x0);
%   N - number of iterations
%   r - equation parameter 
%  x0 - initial value	
%   y - output vector
y=zeros(N,1);
y(1)=x0;
for i=2:N
	y(i)=4*r*y(i-1)*(1-y(i-1));
end	 
